PIIXPM(4)

NAME
piixpm - Intel PIIX and compatible Power Management controller

SYNOPSIS
piixpm* at pci? dev ? function ?
iic* at piixpm?

DESCRIPTION
The piixpm driver provides support for the Intel PIIX and compatible Power Management controller. Only the SMBus host interface is supported and can be used with the iic(4) framework.

Supported chipsets:

•   ATI SB200, SB300, SB400, SB600, SB700, SB800
•   Intel 82371AB (PIIX4), 82440MX
•   Serverworks OSB4, OSB5, OSB6, HT1000SB
•   AMD FCHs (HUDSON, BOLTON and KERNCZ)

SEE ALSO
iic(4), intro(4), pci(4)

HISTORY
The piixpm driver first appeared in OpenBSD 3.9 and then in NetBSD 4.0.

AUTHORS
-nosplit The current piixpm driver was written by Alexander Yurchenko <grange@openbsd.org>. It was ported to NetBSD by Jared D. McNeill <jmcneill@netbsd.org>.

BUGS
The driver doesn't support I2C commands with a data buffer size of more than 2 bytes.